Subject: Re: [CFRG] Call for adoption for draft-wood-cfrg-rsa-blind-signatures

From: Scott Hendrickson <[email-masked]>
Date: Wed, 31 Mar 2021 13:00:11 -0700

Hey all, Scott from Google here.

Public verifiability would complement existing standardized blind signing
mechanisms. Systems where single use constraints can be relaxed, or the
verifiers are decentralized make public verifiability desirable. As noted
by the standard and others, calls for an externally verifiable privacy pass
have been made[1], but may have been slowed by a missing standard.

Having built a system on similar blind signing crypto myself, I can
confidently say the lack of a standard made the work significantly harder
and more risky :-).

I'd be happy to work on this standard with both contributions and feedback.

[1]
https://mailarchive.ietf.org/arch/msg/privacy-pass/BDOOhSLwB3uUJcfBiss6nUF5sUA/

FYI Google has a related patent to this work "Privacy-preserving flexible
anonymous-pseudonymous access" which we are working on an IPR for.

Best,
Scott